/*
 * This Java source file was generated by the Gradle 'init' task.
 */
package nl.fairbydesign.munlock;

import nl.fairbydesign.backend.credentials.Credentials;
import nl.fairbydesign.backend.data.objects.Biom;
import nl.fairbydesign.backend.irods.Connection;
import nl.fairbydesign.backend.irods.Data;
import org.irods.jargon.core.exception.JargonException;
import org.irods.jargon.core.pub.IRODSFileSystem;
import org.irods.jargon.core.pub.io.IRODSFileFactory;
import org.irods.jargon.core.query.GenQueryBuilderException;
import org.irods.jargon.core.query.JargonQueryException;

import java.util.ArrayList;
import java.util.HashSet;

public class AppTest {
//    @Test
    public void testHDT() throws Exception {
        Connection connection = new Connection();
        ArrayList<Biom> biomArrayList = Data.getJobOutputs(connection.getIrodsAccount(), "%/%_PHYLOSEQ");
        HashSet<Biom> setList = new HashSet<>();
        setList.addAll(biomArrayList.subList(0,10));

        // Add individual biom to the list
        Biom biom = new Biom();
        setList.add(biom);

        IRODSFileFactory fileFactory = IRODSFileSystem.instance().getIRODSFileFactory(connection.getIrodsAccount());

        HashSet<String> projects = new HashSet<>();
        for (Biom selectedItem : setList) {
            // Data.downloadFile(fileFactory, connection.getIrodsAccount(), selectedItem.getHDT());
            String projectPath = "/" + connection.getIrodsAccount().getZone() + "/projects/PRJ_" + selectedItem.getProject();
            projects.add(projectPath);
        }
    }

//    @Test
    public void trashTest() throws JargonException, GenQueryBuilderException, JargonQueryException {
        Credentials credentials = new Credentials();
        credentials.setHost(System.getenv("irodsHost"));
        credentials.setPort(Integer.parseInt(System.getenv("irodsPort")));
        credentials.setUsername(System.getenv("irodsUserName"));
        credentials.setPassword(System.getenv("irodsPassword"));
        credentials.setZone(System.getenv("irodsZone"));
        credentials.setSslNegotiationPolicy("CS_NEG_REQUIRE");

        credentials.authenticate();
        Data.getTrashInfo(credentials.getIrodsAccount());
    }
}
